$darken-background: #eff4f7;

.header {
  min-height: 85px;
  background-color: #fff;

  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: 10px 35px;

  &__name {
    font-weight: bold;
    font-size: 1.5rem;
  }

  &__logo {
    display: grid;
    column-gap: 10px;
    grid-template-areas:
    "logo name"
    "logo description"
  ;

    img {
      grid-area: logo;
    }

    &:nth-child(2) {
      grid-area: name;
    }

    &:nth-child(3) {
      grid-area: description;
    }
  }

  &__contacts {
    display: flex;
    gap: 5px;
    flex-direction: column;
  }

  &__socials {
    display: flex;
    gap: 5px;

    a {
      display: flex;
      gap: 5px;
      text-decoration: none;
      color: #000;
    }

    span {
      font-size: 1.25rem;
    }

    img {
      width: 32px;
      height: 32px;
    }
  }

  &__email {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 5px;

    img {
      width: 32px;
      height: 32px;
    }

    a {
      display: flex;
      align-items: center;
      gap: 5px;
      text-decoration: none;
      color: #000;
      font-size: 1rem;

    }
  }
}

@media screen and (max-width: 600px) {
  .header {
    flex-direction: column;
    align-content: center;
    justify-content: center;

    row-gap: 15px;

    &__email {
      justify-content: flex-start;
    }
  }
}

.welcome {
  background-image: url("./../../assets/photo.jpg");
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;

  display: flex;
  flex-direction: column;
  padding: 10px 10%;
  gap: 10px;
  justify-content: center;


  &::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1;

    background-color: #000;
    opacity: 50%;
  }
  display: flex;


  color: #fff;
  min-height: 100vh;

  &__content {
    z-index: 2;

    display: flex;
    flex-grow: 3;
    flex-direction: column;
    align-content: center;
    justify-content: center;
    gap: 2rem;
    text-align: center;

    p, ::ng-deep p {
      font-size: 1.5rem !important;
      font-weight: lighter !important;
      letter-spacing: 1px !important;
    }

    h3, ::ng-deep h3 {
      font-size: 3rem !important;
      font-weight: bold !important;
    }

    svg {
      display: block;
    }
  }

  &__arrow {
    display: flex;
    justify-content: center;
    z-index: 22;
    flex-grow: 1;
  }
}


.services {
  display: flex;
  flex-direction: column;
}

.service-item {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  text-align: center;
  gap: 70px;
  padding: 30px 5%;

  &__title {
    font-weight: bold;
    font-size: 1.5rem;
  }

  &__info {
    font-size: 1.25rem;
  }

  &--darken {
    background-color: #eff4f7;
  }
}

.service-card {
  background-color: #fff;
  width: 300px;
  box-shadow: 1px 1px 20px darken(#fff, 20%);
  padding: 50px 15px;
  display: flex;
  flex-direction: column;
  gap: 15px;
  font-size: 0.9rem;

  &__price {
    display: flex;
    justify-content: center;
    gap: 10px;

    span {
      font-size: 1.5rem;
      font-weight: bold;
    }

    span[class=old] {
      text-decoration: line-through;
      color: lighten(#000, 50%);
    }
  }

  &__action {
    width: 100%;
    padding: 0 20px;
    a {
      display: block;
      text-decoration: none;
      color: black;
      border: 1px solid black;
      border-radius: 5px;
      font-size: 1.1rem;
      font-weight: bold;
      text-transform: uppercase;
      padding: 10px 0;
    }
  }
}

.callback {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 30px 5%;
  background-color: $darken-background;
}

.callback-content {
  display: flex;
  flex-direction: column;
  text-align: center;
  gap: 30px;

  h3 {
    font-size: 3rem;
    font-weight: bold;
  }

  p {
    font-size: 1.5rem;
    font-weight: 300;
  }

  &__contacts {
    display: flex;
    justify-content: center;
    gap: 1rem;
  }
}

.socials {
  display: flex;
  align-items: center;
  gap: 5px;
  font-size: 1.5rem;
  img {
    width: 48px;
    height: 48px;
  }

  a {
    display: flex;
    gap: 5px;
    text-decoration: none;
    color: black;
    justify-content: center;
    align-items: center;
  }
}

.email {
  display: flex;
  align-items: center;
  font-size: 1.5rem;
  gap: 5px;
  img {
    width: 48px;
    height: 48px;
  }

  a {
    display: flex;
    gap: 5px;
    text-decoration: none;
    color: black;
    justify-content: center;
    align-items: center;
  }
}

.callback-form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 15px;

  &__submit {
    display: flex;
    justify-content: center;

    button {
      border-radius: 50px;
      color: #fff;
      padding: 1rem 3rem;
      background-color: #342c56;
      box-shadow: none;
      border: none;
    }
  }

  &__info {
    font-size: 0.8rem;
    text-align: center;
  }
}

.form-group {
  display: flex;
  flex-direction: column;

  font-size: 1.1rem;

  label {
    font-weight: 300;
    line-height: 1.6;
  }

  input {
    border: 1px solid darken(white, 10%);
    padding: 1rem;
    line-height: 1.6;
  }

  textarea {
    border: 1px solid darken(white, 10%);
    resize: vertical;
    padding: 1rem;
    line-height: 1.6;
  }
}


.questions {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  gap: 2rem;
  padding: 1rem 10%;

  &__title {
    font-weight: bold;
    font-size: 2rem;
  }
}

.qna {
  text-align: start;
  &__question {
    display: flex;
    gap: 1.75rem;
    padding: 1rem 2rem;
    margin: 20px 0;
    background-color: #342c56;
    color: #fff;
    border-radius: 50px;
    position: relative;
    z-index: 3;

    &:before {
      z-index: -1;
      content: "";
      position: absolute;
      background-color: #342c56;
      border-top-left-radius: 110%;
      border-bottom-left-radius: -30%;
      border-bottom-right-radius: 100%;
      height: 15px;
      width: 15px;
      bottom: -10px;
    }
  }

  &__answer {
    display: flex;
    gap: 1.75rem;
    padding: 1rem 2rem;
    margin: 20px 0;
    background-color: #fff;
    box-shadow: 1px 1px 5px black;
    color: #000;
    border-radius: 50px;
    position: relative;
    z-index: 3;

    &:after {
      z-index: -1;
      content: "";
      position: absolute;
      background-color: #fff;
      box-shadow: 1px 1px 5px black;
      border-top-right-radius: 110%;
      border-bottom-right-radius: -30%;
      border-bottom-left-radius: 100%;
      height: 15px;
      width: 15px;
      right: 50px;
      bottom: -10px;
    }
  }
}


.additional {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 30px;
  background-color: $darken-background;
  padding: 30px 10%;

  &__title {
    text-align: center;
    font-size: 2rem;
    font-weight: bold;
  }

  &__service {
    font-weight: 300;
    font-size: 1.25rem;
    border-bottom: 1px solid rgba(0,0,0, 30%);
    padding: 1rem 0;
  }
}

.advantages {
  display: flex;
  flex-direction: column;
  padding: 1rem 10%;

  &__title {
    font-size: 2rem;
    text-align: center;
  }
}

.advantage-list {
  margin: 50px 0;
  display: grid;
  gap: 30px;
  grid-template-columns: 1fr;
}

.advantage-card {
  display: flex;
  flex-wrap: nowrap;
  gap: 10px;

  &__logo {
    width: 48px;
    height: 48px;
    img {
      width: 48px;
      height: 48px;
      max-width: 48px;

    }
  }

  &__content {
    display: flex;
    flex-direction: column;
    gap: 10px;
    h6 {
      margin: 0;
      font-size: 1.2rem;
    }
    p {
      font-size: 1rem;
    }
  }
}


.footer {
  display: flex;
  justify-content: center;
  background-color: $darken-background;
  padding: 2rem 0;

  &__contacts {
    display: flex;
    gap: 30px;
  }
}
